Class | Tk::Tcllib::Plotchart::Piechart
In: | tk/lib/tkextlib/tcllib/plotchart.rb
Parent: | TkCanvas

### Methods

new plot

### Included Modules

ChartMethod

### Constants

TkCommandNames | = | [ 'canvas'.freeze, '::Plotchart::createPiechart'.freeze

### Public Class methods

new(*args)

[Source]

    # File tk/lib/tkextlib/tcllib/plotchart.rb, line 568
        def initialize(*args) # args := ([parent] [, keys])
          if args[0].kind_of?(TkCanvas)
            parent = args.shift
            @path = parent.path
          else
            super(*args) # create canvas widget
          end
          @chart = _create_chart
        end

### Public Instance methods

plot(*dat)

[Source]

    # File tk/lib/tkextlib/tcllib/plotchart.rb, line 584
        def plot(*dat)  # argument is a list of [label, value]
          tk_call_without_enc(@chart, 'plot', dat.flatten)
          self
        end

[Validate]